Bug 520088 - keyboard layout set wrong after installation of F12 Alpha
keyboard layout set wrong after installation of F12 Alpha
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-keyboard (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-28 06:32 EDT by Stefan Assmann
Modified: 2010-12-05 01:31 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:31:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Assmann 2009-08-28 06:32:13 EDT
Description of problem:
I selected "German (Latin 1)" keyboard layout during installation and after it installed and I login it has US keyboard layout. Looking at
System -> Preferences -> Keyboard also only shows US layout

How reproducible:
always

Steps to Reproduce:
1. select German keyboard layout during install
2. login to gnome
3.
  
Actual results:
wrong layout selected

Expected results:
correct layout selected
Comment 1 Chris Lumens 2009-08-28 09:38:04 EDT
What does /etc/sysconfig/keyboard say?
Comment 2 Stefan Assmann 2009-08-28 09:52:42 EDT
Hi Chris,

There's no /etc/sysconfig/keyboard in the installed system, or are you refering to the installer after selecting the language?
Comment 3 Chris Lumens 2009-08-28 10:04:01 EDT
No, the installed system was what I was wondering about.
Comment 4 Mary Ellen Foster 2009-09-17 16:01:00 EDT
I use KDE, so I'm not sure if this is the same bug, but my keyboard layout always resets to US even though I keep trying to make it UK. It stays at UK until I reboot (or possibly log out/log in), and then it's back to US again. I also have no /etc/sysconfig/keyboard file.
Comment 5 Susi Lehtola 2009-10-22 04:11:19 EDT
My /etc/sysconfig/keyboard says:
 KEYTABLE="fi-latin1"
 MODEL="pc105"
 LAYOUT="fi"
 KEYBOARDTYPE="pc"

However, if I switch to the console (say, Ctrl+Alt+F2) and come back again, the keyboard map has switched to US. Then system -> preferences -> keyboard only shows the USA layout.
Comment 6 Davide Moretti 2009-10-25 07:18:00 EDT
Same here, I have this /etc/sysconfig/keyboard:

KEYBOARDTYPE="pc"
KEYTABLE="it"
LAYOUT="it"
MODEL="pc105"
OPTIONS=""
VARIANT=""

But after logging into GNOME I get US keyboard always, also the GDM login screen uses US keyboard (so if I use non-alpha characters for the password I always get the wrong password), found this selecting "Other..." on the login screen to get the clear-text username input.
Comment 7 Jonathan Wakely 2009-10-28 06:22:01 EDT
(In reply to comment #4)
> I use KDE, so I'm not sure if this is the same bug, but my keyboard layout
> always resets to US even though I keep trying to make it UK. It stays at UK
> until I reboot (or possibly log out/log in), and then it's back to US again. I
> also have no /etc/sysconfig/keyboard file.  

I think that's bug 530452 which is fixed by the latest gdm package from koji
Comment 8 Bug Zapper 2009-11-16 06:48:16 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-11-04 06:19:19 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-12-05 01:31:59 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.